Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class NormalDistribution

    java.lang.Object
      nl.liacs.subdisc.NormalDistribution

    public class NormalDistribution

extends java.lang.Object

Constructor Summary
`NormalDistribution()`
`NormalDistribution(double[] theSample)`
`NormalDistribution(double theMean, double theVariance)`

Method Summary
`double` | `calcCDF(double theX)`
`double` | `calcErf(double theZ)`
`double` | `calcPDF(double theX)`
`float` | `getFivePercentSignificance()`
`double` | `getMu()`
`double` | `getNextDouble()`
`float` | `getOnePercentSignificance()`
`double` | `getSigma()`
`float` | `getTenPercentSignificance()`
`double` | `getVariance()`
`void` | `printStatistics()`
`double` | `zTransform(double theValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalDistribution

    public NormalDistribution()

### NormalDistribution

    public NormalDistribution(double theMean,
                              double theVariance)

### NormalDistribution

    public NormalDistribution(double[] theSample)

Method Detail

### getNextDouble

    public double getNextDouble()

### calcPDF

    public double calcPDF(double theX)

### calcCDF

    public double calcCDF(double theX)

### calcErf

    public double calcErf(double theZ)

### zTransform

    public double zTransform(double theValue)

### getMu

    public double getMu()

### getSigma

    public double getSigma()

### getVariance

    public double getVariance()

### getOnePercentSignificance

    public float getOnePercentSignificance()

### getFivePercentSignificance

    public float getFivePercentSignificance()

### getTenPercentSignificance

    public float getTenPercentSignificance()

### printStatistics

    public void printStatistics()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD